// Include only once
#ifndef D1_HPP
#define D1_HPP

// Include header files
#include <B.hpp>

/**
 * @ref D1 is a simple derived class with defaulted constructors and destructor.
 */
class D1 : public B {

  /**
   * @ref D1 uses the compiler generated default constructor.
   */
  public:
    D1() = default;

  /**
   * @ref D1 uses the compiler generated copy constructor.
   */
  public:
    D1(const D1&) = default;

  /**
   * @ref D1 uses the compiler generated move constructor.
   */
  public:
    D1(D1&&) = default;

  /**
   * @ref D1 uses the compiler generated destructor.
   */
  public:
    ~D1() = default;

// End D1 definition.
};

// End check for multiple inclusion
#endif
